Get Or Create Api Key For User
Get or create an API key for a user on behalf of the automations service.
If a key with the given name already exists for the user/org and is not expired, returns the existing key. Otherwise, creates a new key.
The created/returned keys are system keys and are:
- Not visible to the user in their API keys list
- Not deletable by the user
- Never expire
Args: user_id: The user ID org_id: The organization ID request: Request body containing name (required) x_service_api_key: Service API key header for authentication
Returns: CreateUserApiKeyResponse: The API key and metadata
Raises: HTTPException: 401 if service key is invalid HTTPException: 404 if user not found HTTPException: 403 if user is not a member of the specified org
Headers
Body
Request model for creating an API key on behalf of a user.

